#ifndef ABSTRACTBOOLEANDELEGATE_H
#define ABSTRACTBOOLEANDELEGATE_H

#include "abstractdelegate.h"

class AbstractBooleanDelegate : public AbstractDelegate
{
public:
    AbstractBooleanDelegate(QObject *parent, const QString &valueForTrue);

    virtual QWidget *createEditor(QWidget *parent, const QStyleOptionViewItem &option,
                          const QModelIndex &index) const;
    virtual void setEditorData(QWidget *editor, const QModelIndex &index) const;
    virtual void setModelData(QWidget *editor, QAbstractItemModel *model, const QModelIndex &index) const;

private:
    QString m_valueForTrue;
};

#endif // ABSTRACTBOOLEANDELEGATE_H
