#ifndef ABSTRACTDELEGATE_H
#define ABSTRACTDELEGATE_H

#include <QItemDelegate>

class AbstractDelegate : public QItemDelegate
{
Q_OBJECT

public:
    enum DelegateType {GenericString,
                       GenericBoolean,
                       OperatingSystem,
                       GeometryData,
                       NoMemory,
                       GroupBox,
                       NumOnly,
                       Password,
                       AllowCat,
                       AllowTs,
                       Save,
                       MultiSelect,
                       Append,
                       Name,
                       Alignment,
                       RadioPosition,
                       ComboBoxType,
                       Contents,
                       Values,
                       MaxForEdit,
                       IAction,
                       ListContent,
                       IncludeFileName,
                       DefineDefinition,
                       ScriptIActionListDelegate,
                       IActionForScriptItem,
                       ProgramCode,
                       Color,
                       Target,
                       UAction,
                       DefaultNumVal,
                       DefaultStrVal,
                       FileButtonWidth,
                       PositionGeometryXYData,
                       PositionGeometryXSizeYSizeData};
    explicit AbstractDelegate(QObject *parent = 0);

    virtual void updateEditorGeometry(QWidget *editor, const QStyleOptionViewItem &option,
                              const QModelIndex &index) const;
};

#endif // ABSTRACTDELEGATE_H
