#include "alignmentdelegate.h"

AlignmentDelegate::AlignmentDelegate(QObject *parent)
    : AbstractMultiModalityDelegate(parent)
{
    // Edit role modalities
    QList<QString> editRoleModalities;
    editRoleModalities.append("left");
    editRoleModalities.append("center");
    editRoleModalities.append("right");
    editRoleModalities.append("");

    // Display role modalities
    QList<QString> displayRoleModalities;
    displayRoleModalities.append("Left");
    displayRoleModalities.append("Center");
    displayRoleModalities.append("Right");
    displayRoleModalities.append("Not specified (Left)");

    setModalities(editRoleModalities, displayRoleModalities);
}

