#include "comboboxtypeproperty.h"

ComboBoxTypeProperty::ComboBoxTypeProperty()
    : GenericMultiModalityProperty("comboboxtype", "Type", AbstractDelegate::ComboBoxType)
{
    QMap<QString, QString> modalitiesMap;
    modalitiesMap.insert("regular", "Regular");
    modalitiesMap.insert("dropdown", "Drop-down");
    modalitiesMap.insert("dropdownlist", "Drop-down list");
    modalitiesMap.insert("", "Not specified (Regular)");
    setModalitiesMap(modalitiesMap);
}
