#include "contentsproperty.h"

ContentsProperty::ContentsProperty()
    : GenericLabeledStringProperty("contents", "Contents", AbstractDelegate::Contents)
{
}

QVariant ContentsProperty::updateDisplayRoleDataString(const QString &value)
{
    if (value == "matrix") return "[Matrices]";
    if (value == "vector") return "[Vectors]";
    if (value == "row") return "[Row matrices]";
    if (value == "column") return "[Column matrices]";
    if (value == "square") return "[Squared matrices]";
    if (value == "scalar") return "[Scalars]";
    if (value == "constraint") return "[Constraints]";
    if (value == "estimates") return "[Estimates]";
    if (value == "global") return "[Global macros]";
    if (value == "valuelabels") return "[Value labels]";
    if (value == "symbols") return "[Marker symbols]";
    if (value == "symbolsizes") return "[Marker symbol sizes]";
    if (value == "colors") return "[Colors]";
    if (value == "intensity") return "[Fill intensity]";
    if (value == "clockpos") return "[Clock positions]";
    if (value == "linepatterns") return "[Line patterns]";
    if (value == "linewidths") return "[Line widths]";
    if (value == "connecttypes") return "[Line connecting types]";
    if (value == "textsizes") return "[Text sizes]";
    if (value == "justification") return "[Horizontal text justification]";
    if (value == "vector") return "[Vectors]";
    if (value == "alignment") return "[Vertical text alignments]";
    if (value == "margins") return "[Margins]";
    if (value == "tickpos") return "[Axis-tick positions]";
    if (value == "angles") return "[Angles]";
    if (value == "compass") return "[Compass directions]";
    if (value == "yesno") return "[Yes/No]";
    return value;
}
