#include "definedefinitiondelegate.h"
#include "definedefinitionsetter.h"

#include <QDebug>

DefineDefinitionDelegate::DefineDefinitionDelegate(QObject *parent)
    : AbstractDelegate(parent)
{
}

QWidget *DefineDefinitionDelegate::createEditor(QWidget *parent, const QStyleOptionViewItem &option,
              const QModelIndex &index) const
{
    Q_UNUSED(option)
    DefineDefinitionSetter *defineDefinitionSetter = new DefineDefinitionSetter(parent);
    return defineDefinitionSetter;
}

void DefineDefinitionDelegate::setEditorData(QWidget *editor, const QModelIndex &index) const
{
    DefineDefinitionSetter *defineDefinitionSetter = static_cast<DefineDefinitionSetter*>(editor);
    defineDefinitionSetter->setData(index.data(Qt::EditRole).toString());
}

void DefineDefinitionDelegate::setModelData(QWidget *editor, QAbstractItemModel *model,
                                            const QModelIndex &index) const
{
    DefineDefinitionSetter *defineDefinitionSetter = static_cast<DefineDefinitionSetter*>(editor);
    model->setData(index, defineDefinitionSetter->data());
}

