#ifndef DEFINEOBJ_H
#define DEFINEOBJ_H

#include "abstractobj.h"

// Properties
#include "genericplainstringproperty.h"

class DefineObj : public AbstractObj
{
public:
    DefineObj();

    // Re-implemented pure virtual functions
    virtual QString commandString() const;
    virtual QString commandNameForDisplayRoleData() const;
    virtual QString typeNameForDomElement() const;
    virtual bool hasName() const;

    // Properties
    GenericPlainStringProperty *nameProperty;
    GenericPlainStringProperty *definitionProperty;
};

#endif // DEFINEOBJ_H

