#include "editforcanvas.h"

EditForCanvas::EditForCanvas(const QRect &rect, const QWidget *widget)
    : AbstractObjForCanvas(rect), widget(widget)
{
    styleOptionLineEdit.initFrom(widget);
    styleOptionLineEdit.rect = rect;
}

void EditForCanvas::draw(QPainter *painter) const
{
    widget->style()->drawPrimitive(QStyle::PE_FrameLineEdit, &styleOptionLineEdit, painter, widget);
}

