#ifndef FILEFORCANVAS_H
#define FILEFORCANVAS_H

#include "abstractobjforcanvas.h"
#include <QtGui>

class FileForCanvas : public AbstractObjForCanvas
{
public:
    FileForCanvas(const QRect &rect, const QString &label,
                  const QString &buttonWidth, const QWidget *widget);

    // Reimplement pure virtual functions
    void draw(QPainter *painter) const;

private:
    QStyleOptionButton styleOptionButton;
    QStyleOptionFrameV2 styleOptionLineEdit;
    const QWidget *widget;
};

#endif // FILEFORCANVAS_H
