#ifndef FRAMEOBJ_H
#define FRAMEOBJ_H

#include "abstractcontrolobj.h"

// Properties
#include "genericlabeledstringproperty.h"

class FrameObj : public AbstractControlObj
{
public:
    FrameObj();

    // Re-implemented pure virtual functions
    virtual QString commandString() const;
    virtual QString commandNameForDisplayRoleData() const;
    virtual QString typeNameForDomElement() const;

    // Properties
    GenericLabeledStringProperty *labelProperty;
};

#endif // FRAMEOBJ_H
