#ifndef GROUPBOXOBJ_H
#define GROUPBOXOBJ_H

#include "abstractcontrolobj.h"

// Properties
#include "genericlabeledstringproperty.h"

class GroupBoxObj : public AbstractControlObj
{
public:
    GroupBoxObj();

    // Re-implemented pure virtual functions
    virtual QString commandString() const;
    virtual QString commandNameForDisplayRoleData() const;
    virtual QString typeNameForDomElement() const;

    // Properties
    GenericLabeledStringProperty *labelProperty;
};

#endif // GROUPBOXOBJ_H
