#ifndef HELPCONTENTSVIEW_H
#define HELPCONTENTSVIEW_H

#include <QWidget>
#include <QTextBrowser>
#include <QPushButton>

class HelpContentsView : public QWidget
{
Q_OBJECT

public:
    explicit HelpContentsView(const QString &page, QWidget *parent = 0);
    void setSource(const QString &page);
    void clearHistory();
    
private:
    // GUI
    QTextBrowser *textBrowser;
    QPushButton *indexButton;
    QPushButton *backButton;
    QPushButton *forwardButton;

private slots:
    void updateWindowTitle();
    
};

#endif // HELPCONTENTSVIEW_H
