#ifndef INCLUDEFILENAMESETTER_H
#define INCLUDEFILENAMESETTER_H

#include "abstractsetter.h"
#include <QLineEdit>
#include <QToolButton>

class IncludeFileNameSetter : public AbstractSetter
{
Q_OBJECT

public:
    explicit IncludeFileNameSetter(QWidget *parent);
    void setData(const QString &data);
    QString data();

private:
    // GUI
    QLineEdit *lineEdit;
    QToolButton *button;

private slots:
    void onButtonClicked();
    
};

#endif // INCLUDEFILENAMESETTER_H
