#ifndef OBJECTBOXDOCKWIDGET_H
#define OBJECTBOXDOCKWIDGET_H

#include <QDockWidget>
#include <QLineEdit>
#include <QToolButton>
#include "objectboxview.h"

class ObjectBoxDockWidget : public QDockWidget
{
Q_OBJECT

public:
    explicit ObjectBoxDockWidget(QWidget *parent = 0);

private:
    // GUI
    QLineEdit *filterLineEdit;
    ObjectBoxView *objectBoxView;
    QToolButton *clearLineEditButton;

private slots:
    void onFilterLineEditChanged(QString string);
    void onClearLineEditButtonClicked();

};

#endif // OBJECTBOXDOCKWIDGET_H
