#include "positiongeometryxydatadelegate.h"
#include "positiongeometrydatasetter.h"

PositionGeometryXYDataDelegate::PositionGeometryXYDataDelegate(QObject *parent)
    : AbstractDelegate(parent)
{
}

QWidget *PositionGeometryXYDataDelegate::createEditor(QWidget *parent, const QStyleOptionViewItem &option,
              const QModelIndex &index) const
{
    Q_UNUSED(option)
    Q_UNUSED(index)
    PositionGeometryDataSetter *positionGeometryDataSetter
            = new PositionGeometryDataSetter(true, parent);
    return positionGeometryDataSetter;
}

void PositionGeometryXYDataDelegate::setEditorData(QWidget *editor, const QModelIndex &index) const
{
    PositionGeometryDataSetter *positionGeometryDataSetter
            = static_cast<PositionGeometryDataSetter*>(editor);
    positionGeometryDataSetter->setPositionGeometryData(index.data(Qt::EditRole).toString());

}

void PositionGeometryXYDataDelegate::setModelData(QWidget *editor, QAbstractItemModel *model,
                                                const QModelIndex &index) const
{
    PositionGeometryDataSetter *positionGeometryDataSetter
            = static_cast<PositionGeometryDataSetter*>(editor);
    model->setData(index, positionGeometryDataSetter->positionGeometryData());
}
