#include "radiopositiondelegate.h"

RadioPositionDelegate::RadioPositionDelegate(QObject *parent)
    : AbstractMultiModalityDelegate(parent)
{
    // Edit role modalities
    QList<QString> editRoleModalities;
    editRoleModalities.append("first");
    editRoleModalities.append("middle");
    editRoleModalities.append("last");
    editRoleModalities.append("");

    // Display role modalities
    QList<QString> displayRoleModalities;
    displayRoleModalities.append("First");
    displayRoleModalities.append("Middle");
    displayRoleModalities.append("Last");
    displayRoleModalities.append("Not specified (Middle)");

    setModalities(editRoleModalities, displayRoleModalities);
}
