#ifndef SCRIPTIACTIONLISTPROPERTY_H
#define SCRIPTIACTIONLISTPROPERTY_H

#include "abstractproperty.h"

class ScriptIActionListProperty : public AbstractProperty
{

public:
    explicit ScriptIActionListProperty();

    // Re-implemented pure virtual functions
    virtual QVariant updateDisplayRoleDataString(const QString &valueString);
    virtual QString updateCommandString(const QString &valueString);
    virtual QString domElementName() const;
    virtual QVariant propertyNameForDisplayRoleData() const;
    virtual bool isRequired() const;
    virtual AbstractDelegate::DelegateType delegateForProperty() const;

    // Re-implemented virtual functions
    virtual void setFromObjDomElement(const QDomElement &domElement);
    virtual QDomElement domElement(QDomDocument &xmlDocument) const;

};

#endif // SCRIPTIACTIONLISTPROPERTY_H
