#include "textboxforcanvas.h"

TextBoxForCanvas::TextBoxForCanvas(const QRect &rect, const QString &text,
                             Qt::Alignment alignment, const QWidget *widget)
    : AbstractObjForCanvas(rect), widget(widget), alignment(alignment), text(text)
{
    this->rect = rect;
}

void TextBoxForCanvas::draw(QPainter *painter) const
{
    widget->style()->drawItemText(painter, rect, alignment | Qt::TextWordWrap, widget->palette(),
                                  true, text);
}

