
#include "textforcanvas.h"

TextForCanvas::TextForCanvas(const QRect &rect, const QString &text,
                             Qt::Alignment alignment, const QWidget *widget)
    : AbstractObjForCanvas(rect), widget(widget), alignment(alignment), text(text)
{
    this->rect = rect;
}

void TextForCanvas::draw(QPainter *painter) const
{
    widget->style()->drawItemText(painter, rect, alignment, widget->palette(), true, text);
}
