#ifndef UACTIONSETTER_H
#define UACTIONSETTER_H

#include "abstractsetter.h"
#include <QLineEdit>
#include <QPushButton>
#include <QCompleter>

class UActionSetter : public AbstractSetter
{
Q_OBJECT

public:
    UActionSetter(QWidget *parent, const QStringList &programList);
    void setUActionData(const QString &data);
    QString uActionData();

private:
    // GUI
    QLineEdit *lineEdit;
    QPushButton *button;

    // Main menu
    QMenu *mainMenu;

    // Functions
    void createMenu(const QStringList &programList);

private slots:
    void onProgramChosenFromMenu();
    void onClearActionTriggered();
};

#endif // UACTIONSETTER_H
