#include "abstractsetter.h"

AbstractSetter::AbstractSetter(QWidget *parent) :
    QWidget(parent)
{
    setFocusPolicy(Qt::StrongFocus);
}

void AbstractSetter::paintEvent(QPaintEvent *)
{
    QPainter painter(this);
    painter.setPen(QPen(Qt::white, 1));
    painter.setBrush(QBrush(Qt::white, Qt::SolidPattern));
    painter.drawRect(this->rect());
}

