#include "alignmentproperty.h"

AlignmentProperty::AlignmentProperty()
    : GenericMultiModalityProperty("alignment", "Alignment", AbstractDelegate::Alignment)
{
    QMap<QString, QString> modalitiesMap;
    modalitiesMap.insert("left", "Left");
    modalitiesMap.insert("center", "Center");
    modalitiesMap.insert("right", "Right");
    modalitiesMap.insert("", "Not specified (Left)");
    setModalitiesMap(modalitiesMap);
}


