#ifndef BUTTONOBJ_H
#define BUTTONOBJ_H

#include "abstractcontrolobj.h"

// Properties
#include "genericlabeledstringproperty.h"

class ButtonObj : public AbstractControlObj
{
public:
    ButtonObj();

    // Re-implemented pure virtual functions
    virtual QString commandString() const;
    virtual QString commandNameForDisplayRoleData() const;
    virtual QString typeNameForDomElement() const;


    // Properties
    GenericLabeledStringProperty *labelProperty;
    GenericLabeledStringProperty *errorProperty;
    GenericLabeledStringProperty *onPushProperty;
    GenericLabeledStringProperty *toolTipProperty;
};

#endif // BUTTONOBJ_H
