#include "codeview.h"

#include <QDebug>

CodeView::CodeView(const Document *document, QWidget *parent) :
    QTextEdit(parent), m_document(document)
{
    setReadOnly(true);
    setLineWrapMode(QTextEdit::NoWrap);
    setFont(QFont("Lucida console", 9, QFont::Normal));
    setText(document->commandString());
}

void CodeView::updateView()
{
    setText(m_document->commandString());
}
