#include "colorforcanvas.h"

ColorForCanvas::ColorForCanvas(const QRect &rect, const QWidget *widget)
    : AbstractObjForCanvas(rect), widget(widget)
{
    styleOptionColor.initFrom(widget);
    styleOptionColor.rect = rect;
}

void ColorForCanvas::draw(QPainter *painter) const
{
    painter->setBrush(QBrush(QColor(255, 0, 0)));
    widget->style()->drawPrimitive(QStyle::PE_Frame, &styleOptionColor, painter, widget);
}

