#ifndef COMBOBOXFORCANVAS_H
#define COMBOBOXFORCANVAS_H

#include "abstractobjforcanvas.h"
#include <QtGui>

class ComboBoxForCanvas : public AbstractObjForCanvas
{
public:
    ComboBoxForCanvas(const QRect &rect, const QString &comboBoxType, const QWidget *widget);

    // Reimplement pure virtual functions
    void draw(QPainter *painter) const;

private:
    QStyleOption styleOptionArrow;
    QStyleOptionFrameV2 styleOptionLineEdit;
    QStyleOptionComboBox styleOptionComboBox;
    QStyleOptionFrameV2 styleOptionFrame;
    bool frameOfRegularComboBoxIsVisible;
    const QString m_comboBoxType;
    const QWidget *widget;
};
#endif // COMBOBOXFORCANVAS_H
