#ifndef DEFINEDEFINITIONSETTER_H
#define DEFINEDEFINITIONSETTER_H

#include "abstractsetter.h"
#include <QString>
#include <QSpinBox>
#include <QComboBox>

class DefineDefinitionSetter : public AbstractSetter
{
Q_OBJECT

public:
    DefineDefinitionSetter(QWidget *parent);
    void setData(const QString &data);
    QString data();

private:
    // GUI
    QSpinBox *spinBox;
    QComboBox *comboBox;

private slots:
    void onCurrentComboBoxItemChanged(int pos);
};

#endif // DEFINEDEFINITIONSETTER_H
