#ifndef EXPFORCANVAS_H
#define EXPFORCANVAS_H

#include "abstractobjforcanvas.h"
#include <QtGui>

class ExpForCanvas : public AbstractObjForCanvas
{
public:
    ExpForCanvas(const QRect &rect, const QString &label, const QWidget *widget);

    // Reimplement pure virtual functions
    void draw(QPainter *painter) const;

private:
    QStyleOptionButton styleOptionButton;
    QStyleOptionFrameV2 styleOptionLineEdit;
    const QWidget *widget;
};

#endif // EXPFORCANVAS_H
