#include "frameforcanvas.h"

FrameForCanvas::FrameForCanvas(const QRect &rect, const QWidget *widget)
    : AbstractObjForCanvas(rect), widget(widget)
{
    styleOptionFrame.initFrom(widget);
    styleOptionFrame.rect = rect;
}

void FrameForCanvas::draw(QPainter *painter) const
{
    widget->style()->drawPrimitive(QStyle::PE_Frame, &styleOptionFrame, painter, widget);
}
