#include "frameobj.h"

FrameObj::FrameObj()
    : AbstractControlObj(AbstractObj::Frame)
{
    xSizeProperty->setValue("200");
    ySizeProperty->setValue("100");

    labelProperty
            = new GenericLabeledStringProperty("label", "Label", AbstractDelegate::GenericString);
    appendProperty(labelProperty);
}

QString FrameObj::commandString() const
{
    return "FRAME" + standardInnerCommandString();
}

QString FrameObj::commandNameForDisplayRoleData() const
{
    return "Frame";
}

QString FrameObj::typeNameForDomElement() const
{
    return "frame";
}

