#ifndef IACTIONFORSCRIPTITEMDELEGATE_H
#define IACTIONFORSCRIPTITEMDELEGATE_H

#include "abstractdelegate.h"
#include <QAbstractItemModel>

class IActionForScriptItemDelegate : public AbstractDelegate
{
public:
    IActionForScriptItemDelegate(const QAbstractItemModel *sourceModel);

    virtual QWidget *createEditor(QWidget *parent, const QStyleOptionViewItem &option,
                          const QModelIndex &index) const;
    virtual void setEditorData(QWidget *editor, const QModelIndex &index) const;
    virtual void setModelData(QWidget *editor, QAbstractItemModel *model, const QModelIndex &index) const;

private:
    const QAbstractItemModel *m_sourceModel;
};

#endif // IACTIONFORSCRIPTITEMDELEGATE_H
