#include "operatingsystemdelegate.h"

OperatingSystemDelegate::OperatingSystemDelegate(QObject *parent)
    : AbstractMultiModalityDelegate(parent)
{
    // Edit role modalities
    QList<QString> editRoleModalities;
    editRoleModalities.append("WINDOWS");
    editRoleModalities.append("MACINTOSH");
    editRoleModalities.append("UNIX");
    editRoleModalities.append("WINDOWS MACINTOSH");
    editRoleModalities.append("WINDOWS UNIX");
    editRoleModalities.append("MACINTOSH UNIX");
    editRoleModalities.append("");

    // Display role modalities
    QList<QString> displayRoleModalities;
    displayRoleModalities.append("Windows");
    displayRoleModalities.append("Macintosh");
    displayRoleModalities.append("Unix");
    displayRoleModalities.append("Windows & Macintosh");
    displayRoleModalities.append("Windows & Unix");
    displayRoleModalities.append("Macintosh & Unix");
    displayRoleModalities.append("Windows, Macintosh & Unix");

    setModalities(editRoleModalities, displayRoleModalities);
}
