#include "operatingsystemproperty.h"

OperatingSystemProperty::OperatingSystemProperty()
    : GenericMultiModalityProperty("operatingsystem", "Operating system",
                                   AbstractDelegate::OperatingSystem)
{
    QMap<QString, QString> modalitiesMap;
    modalitiesMap.insert("WINDOWS", "Windows");
    modalitiesMap.insert("MACINTOSH", "Macintosh");
    modalitiesMap.insert("UNIX", "Unix");
    modalitiesMap.insert("WINDOWS MACINTOSH", "Windows & Macintosh");
    modalitiesMap.insert("WINDOWS UNIX", "Windows & Unix");
    modalitiesMap.insert("MACINTOSH UNIX", "Macintosh & Unix");
    modalitiesMap.insert("", "Windows, Macintosh & Unix");
    setModalitiesMap(modalitiesMap);

    setValue("");
}

bool OperatingSystemProperty::isRequired() const
{
    return true;
}
