#ifndef RADIOFORCANVAS_H
#define RADIOFORCANVAS_H

#include "abstractobjforcanvas.h"
#include <QtGui>

class RadioForCanvas : public AbstractObjForCanvas
{
public:
    RadioForCanvas(const QRect &rect, const QString &label, const QWidget *widget);

    // Reimplement pure virtual functions
    void draw(QPainter *painter) const;

private:
    QStyleOptionButton styleOptionRadio;
    const QWidget *widget;
};

#endif // RADIOFORCANVAS_H
