#include "radiopositionproperty.h"

RadioPositionProperty::RadioPositionProperty()
    : GenericMultiModalityProperty("position", "Position", AbstractDelegate::RadioPosition)
{
    QMap<QString, QString> modalitiesMap;
    modalitiesMap.insert("first", "First");
    modalitiesMap.insert("middle", "Middle");
    modalitiesMap.insert("last", "Last");
    modalitiesMap.insert("", "Not specified (Middle)");
    setModalitiesMap(modalitiesMap);
}
