#include "resetobj.h"

#include "genericplainstringproperty.h"

ResetObj::ResetObj()
    : AbstractObj(AbstractObj::Reset)
{
    GenericPlainStringProperty *nameProperty =
            new GenericPlainStringProperty("name", "Name", AbstractDelegate::Name);
    nameProperty->setValue("mycancelbutton");
    appendProperty(nameProperty);
}

QString ResetObj::commandString() const
{
    return "RESET" + standardInnerCommandString();
}

QString ResetObj::commandNameForDisplayRoleData() const
{
    return "Reset button";
}

QString ResetObj::typeNameForDomElement() const
{
    return "reset";
}

bool ResetObj::hasName() const
{
    return true;
}
