#ifndef VALUESSETTER_H
#define VALUESSETTER_H

#include "abstractsetter.h"
#include <QLineEdit>
#include <QPushButton>

class ValuesSetter : public AbstractSetter
{
Q_OBJECT

public:
    ValuesSetter(const QStringList &userDefinedLists, QWidget *parent = 0);
    void setValuesData(const QString &data);
    QString valuesData() const;

private:
    // GUI
    QLineEdit *lineEdit;
    QPushButton *button;

private slots:
    void onUserDefinedListMenuItemTriggered();
    void onClearActionsTriggered();
};

#endif // VALUESSETTER_H
