#ifndef VISUAPLUGININTERFACE_H
#define VISUAPLUGININTERFACE_H

#include <QtGui>

class VisuaPluginInterface
{
public:
    enum Behaviour {CreateNewVisuaDocument, AppendAlways, AppendToDialogOnly, AppendOutsideDialogOnly};
    virtual ~VisuaPluginInterface() {}
    virtual QString visuaCode() = 0;
    virtual QString pluginName() = 0;
    virtual int dialogExec(QWidget *parent) = 0;
    virtual bool isDialog() = 0;
    virtual VisuaPluginInterface::Behaviour behaviour() = 0;
};

Q_DECLARE_INTERFACE(VisuaPluginInterface, "Visua.VisuaPluginInterface/1.0")

#endif // VISUAPLUGININTERFACE_H


